<?php

/* ====================
Seditio - Website engine
Copyright Neocrome
http://www.neocrome.net

[BEGIN_SED]
File=plugins/lastupdate/lastupdate.php
Version=121
Updated=2007-june-16
Type=Plugin
Author=Stamatis Kritikos
Description=Displays latest update date
[END_SED]

[BEGIN_SED_EXTPLUGIN]
Code=lastupdate
Part=main
File=lastupdate
Hooks=header.tags
Tags=header.tpl:{LAST_UPDATE}
Minlevel=0
Order=10
[END_SED_EXTPLUGIN]
==================== */

if (!defined('SED_CODE')) { die('Wrong URL.'); }
// html masking
$cfg['plu_mask_pages'] = "%1\$s";
$plu_empty = $L['None'];
// function
function sed_get_lastupdate($limit, $mask) {
	global $L, $db_pages, $usr, $cfg, $sed_cat, $plu_empty;
	$sql = sed_sql_query("SELECT page_cat, page_date FROM $db_pages WHERE page_state=0 AND page_cat NOT LIKE 'system' ORDER by page_date DESC LIMIT 1");
	// set date format
	$dateformat = "j F Y, G:i";
	while ($row = sed_sql_fetcharray($sql)) {
		if (sed_auth('page', $row['page_cat'], 'R')) { 
		$res = sprintf( $mask, date($dateformat, $row['page_date'] + $usr['timezone'] * 3600) ); 
		}
	}
	$res = (empty($res)) ? $plu_empty : $res;
	return($res);
}
// check if pages are disabled
if (!$cfg['disable_page'])
	{ $lastupdate = sed_get_lastupdate(1, $cfg['plu_mask_pages']); }
// assign date to the tag
$t-> assign(array(
	"LAST_UPDATE" => $lastupdate,
	));

?>
